Gtk2::IconTheme(3)

NAME
Gtk2::IconTheme

HIERARCHY
  Glib::Object
  +----Gtk2::IconTheme

METHODS

  icontheme = Gtk2::IconTheme->new

  Gtk2::IconTheme->add_builtin_icon ($icon_name, $size, $pixbuf)

    * $icon_name (string)
    * $size (integer)
    * $pixbuf (Gtk2::Gdk::Pixbuf)

  $icon_theme->append_search_path ($path)

    * $path (localized file name)

  $icon_theme->set_custom_theme ($theme_name)
    * $theme_name (string)

  icontheme = Gtk2::IconTheme->get_default

  string = $icon_theme->get_example_icon_name

  icontheme = Gtk2::IconTheme->get_for_screen ($screen)

    * $screen (Gtk2::Gdk::Screen)

  boolean = $icon_theme->has_icon ($icon_name)
    * $icon_name (string)

  list = $icon_theme->get_icon_sizes ($icon_name)

    * $icon_name (string)

  list = $icon_theme->list_icons ($context)
    * $context (string or undef)

  pixbuf or undef = $icon_theme->load_icon ($icon_name, $size, $flags)

    * $icon_name (string)
    * $size (integer)
    * $flags (Gtk2::IconLookupFlags)

    May croak with a Glib::Error in $@ on failure.

  iconinfo or undef = $icon_theme->lookup_icon ($icon_name, $size, $flags)

    * $icon_name (string)
    * $size (integer)
    * $flags (Gtk2::IconLookupFlags)

  $icon_theme->prepend_search_path ($path)

    * $path (localized file name)

  boolean = $icon_theme->rescan_if_needed

  $icon_theme->set_screen ($screen)
    * $screen (Gtk2::Gdk::Screen)

  list = $icon_theme->get_search_path

  $icon_theme->set_search_path (...)

    * ... (list)

SIGNALS
changed (Gtk2::IconTheme)

ENUMS AND FLAGS

  flags Gtk2::IconLookupFlags

* 'no-svg' / 'GTK_ICON_LOOKUP_NO_SVG'
* 'force-svg' / 'GTK_ICON_LOOKUP_FORCE_SVG'
* 'use-builtin' / 'GTK_ICON_LOOKUP_USE_BUILTIN'

  enum Gtk2::IconThemeError

* 'not-found' / 'GTK_ICON_THEME_NOT_FOUND'
* 'failed' / 'GTK_ICON_THEME_FAILED'

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.